This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 124286 - Errors installing an RPM are handled inflexibly
Errors installing an RPM are handled inflexibly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-25 09:33 EDT by Dave Shield
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 14:35:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Shield 2004-05-25 09:33:00 EDT
Description of problem:
  During the installation of a clean system, if an RPM fails to
unpack correctly, then a dialog box appears to report this problem,
and offer the possibility of trying again.  There are two flaws
with this:

  a) Having clicked "OK", the dialog box stays up, making it
difficult to tell whether/when the second attempt has also failed.

  b) If the installation media is indeed corrupted, then there
is no way to skip this RPM and continue.  It's not even possible
to cleanly abort the installation and return to the configuration
screens.   The only option appears to be to reboot the system
and start the installation right from scratch.


Expected results:
  a)  The dialog box should be removed before starting to retry
installing the RPM
  b)  The dialog box should have an option to skip this particular
RPM, and continue with the installation.
Comment 1 Jeremy Katz 2004-05-25 23:48:50 EDT
Unfortunately, there's not much we can do in this case.  There's no
good way to tell the "importance" of a package and whether we can skip
it and still have a reasonably sane system.
Comment 2 Dave Shield 2004-05-26 04:31:29 EDT
You probably can't do so automatically, no.
But the person doing the installation might be able to.
Why not at least offer them the *option* of continuing?
(with suitable warnings about a broken system)
If nothing else, they could make a note of the missing
RPM and install it manually later.

And what about the other half of this bug report -
taking down the dialog box before retrying?

Note You need to log in before you can comment on or make changes to this bug.